LINUX.ORG.RU

Вышел Debian 7.0 «Wheezy»

 


5

6

Сегодня, 5 мая 2013 года, вышел новый стабильный выпуск Debian 7.0 «Wheezy». Ему предшествовал довольно долгий период разработки (2 года и 3 месяца с момента выпуска «Squeeze») и заморозки (10 месяцев). Дистрибутив включает в себя 12800 новых пакетов, всего их стало более 37000. Обновлено 70 % всех пакетов, 14 % удалено по тем либо иным причинам.

Основные изменения в структуре ОС:

  • Мультиархитектура, одна из главных целей выпуска, позволяет пользователям устанавливать пакеты с разных архитектур на одной и той же системе, при этом все зависимости будут автоматически удовлетворены.
  • Поддержка UEFI на 64-битных (amd64) системах. Тем не менее, Secure Boot всё ещё не поддерживается.
  • Две новые архитектуры: s390x (64-битный перенос для машин IBM System z), и armhf (альтернатива armel для машин ARMV7, поддерживающих аппаратные вычисления с плавающей точкой).
  • wheezy-backports теперь является частью основного репозитория.
  • Опционально доступен systemd.
  • Многие пакеты собраны компилятором gcc с установленными флагами усиления безопасности (по умолчанию в gcc эти флаги выключены, поэтому при локальной сборке ПО они не применяются).

Система установки:

  • Использование синтезатора речи в процессе установки для слепых людей.
  • Debian теперь может быть установлен на 73 языках, более дюжины из них доступно для синтезатора речи.
  • Поддержка установки в сетях, работающих только с IPv6.
  • Теперь возможна установка по WPA-защищённой беспроводной сети.
  • При новой установке по умолчанию используется файловая система ext4 (ранее использовалась ext3).
  • В качестве технологической пробы включена файловая система btrfs.

Рабочее окружение:

  • Пакет ffmpeg заменён на ответвление libav (libav-tools), который более ответственно подходит к выпуску новых версий.
  • OpenOffice.org заменён на LibreOffice, а KOffice — на Calligra.
  • В качестве графического пакетного менеджера для GNOME используется PackageKit, для KDE — Apper.

Популярное ПО, включённое в выпуск:

  • Apache 2.2.22.
  • GIMP 2.8.2.
  • GNOME 3.4.
  • GCC 4.7.2.
  • Iceweasel 10.
  • KDE 4.8.4.
  • LibreOffice 3.5.4.
  • Linux 3.2.
  • MySQL 5.5.30.
  • Perl 5.14.2.
  • PHP 5.4.4.
  • PostgreSQL 9.1.
  • Python 2.7.3 (по умолчанию) и 3.2.3.
  • Xfce 4.8.
  • X.Org 7.7.

>>> Подробности

★★★★★

Проверено: JB ()

Ответ на: комментарий от redgremlin

Да ладно, подумаешь, модерирует не читая

...и не приходя в сознание

tailgunner ★★★★★ ()
Ответ на: комментарий от Deleted

Ничего он не кончился, просто дебиановский ментейнер любит libav, в других дистрах остается ffmpeg

goingUp ★★★★★ ()

Поздравляю всех дебиановцев! =]

Версии ПО конечно протухшие, но это Дебиан. И конечно третий гном, заменивший второй, тоже не особо радует.

neocrust ★★★★★ ()
Ответ на: комментарий от BMX

Что мешает в debian stable новый firefox и libreoffice поставить? У меня 20 файрфокс сейчас стоит, и что?

curufinwe ★★★★★ ()
Ответ на: комментарий от neocrust

Версии ПО конечно протухшие, но это Дебиан.

но это Дебиан

Сказано, как диагноз :)

awesomenickname ★★★★★ ()
Ответ на: комментарий от Polugnom

Новая версия xfce четко подхватила настройки старой.

Xfce 4.8.

OMG, чем же вы там пользовались до этого, 4.6? Когда 4.10 уже больше года является стабильной версией. Бедные дебайновцы, над вами даже смеяться неловко.

Citramonum ★★ ()
Ответ на: комментарий от DoctorSinus

пока ты тут набрасываешь, в толксах уже две темы с тупняком насоздавали! Кстаати говоря, что то дебиян начал чаще нормальной убунты выходить.

darkenshvein ★★★★★ ()
Ответ на: комментарий от Citramonum

с какого это мамзера 4.10 стабильный? бабка с сайта хфце напела?

darkenshvein ★★★★★ ()
Ответ на: комментарий от anonymous

Я образно это назвал, просто более подходящего термина, обозначающего точное количество, я не нашел.

Sharezil ()
Ответ на: комментарий от darkenshvein

пока ты тут набрасываешь, в толксах уже две темы с тупняком насоздавали!

ща! я ещё и работать успеваю, ога %)

Кстаати говоря, что то дебиян начал чаще нормальной убунты выходить.

нормальной

убунты

уж если делить на ноль — то мощно! :)

// откуда баба с твоей аватарки?

DoctorSinus ★★★★★ ()

Годный вброс был ))) пионэры словили бугурт и брызжат слюной )))

anonymous ()
Ответ на: комментарий от DoctorSinus

уже

Нажрался - лежи себе тихо в уголке. За пьяное вождение отбирают права, за пьяное модерирование следовало бы отбирать банхаммер.

tailgunner ★★★★★ ()
Ответ на: комментарий от tailgunner

за пьяное модерирование следовало бы отбирать банхаммер

я трезвенник ;)

// с порванным шаблоном и взаимоисключающими параграфами проследуйте в отдельный тред

DoctorSinus ★★★★★ ()
Ответ на: комментарий от AITap

Нет, всё такое же зависание при старте, и всё так же зависает периодически. После перезагрузки они длятся меньше, но никуда не делись.

А ответили что-нибудь по багу?

eugeno ★★★★★ ()

похоже, дебиан - это религия
типа генты

kto_tama ★★★★★ ()
Ответ на: комментарий от redgremlin

зря они так формально полиси применяют, у фокса релизы, по сути, минорные

Не следует забывать про зависимости. Например, обновление Firefox/Iceweasel до 17-й версии поломает Pentadactyl, актуальный релиз которого поддерживает максимум 14-й фокс.

anonymous ()
Ответ на: комментарий от spqr

Теперь можно вписывать jessie в sources.list

Не проще ли прописать «testing» и не морочить голову? :)

anonymous ()
Ответ на: комментарий от Citramonum

А вот и они, плакальщики по опенсорцу. Они приходят в опенсорц треды и им жалко всех, кто попадётся под руку. И неважно, нужно кому-то это или нет.

Deleted ()
Ответ на: комментарий от eugeno

Тоже нет.

Баг, вроде бы, не связан с аппаратурой, но на той же виртуалке поймать его оказалось трудно (так и не сделал там скриншота с пожиранием процессора).

AITap ★★★★★ ()

Network Manager так и не допилили :( Охренительно глючная штука...

qwerky ()

сделал minimal upgrade, вроде все так-же

beerman ()

как на него обновиться то с «testing» wheezy?

oskar0609 ()
Ответ на: комментарий от anonymous

Не следует забывать про зависимости.

Зависимости ? Помню я одну операционку что зависела от версии браузера, и наоборот. На Win начинается и на dows кончается.

Например, обновление Firefox/Iceweasel до 17-й версии поломает Pentadactyl, актуальный релиз которого поддерживает максимум 14-й фокс

А Pentadactyl он тоже из репов Debian ставиться да ?

anonymous ()

Я хоть и пользуюсь Ubuntu LTS, но за коллег по цеху рад. С релизом!

bor-e ()
Ответ на: комментарий от Deleted

Какой ни включай, всё равно до конца поддержки Дебиана эта ESR протухнет, ибо ESR означает «расширенная, ха-ха-ха, поддержка, хо-хо».

Ну да, в масштабах Дебайна плюс-минус какой-то год ничего не значит.

Citramonum ★★ ()

Знаю, чем завтра займусь на работе!!!

v9lij ★★★★★ ()
Ответ на: комментарий от anonymous

Прописать в sources.list wheezy/stable

Там же можно добавить обновления безопасности и просто апдейты.

ну и после этого aptitude update && aptitude upgrade

chupasaurus ()
Ответ на: комментарий от Reset

Puppet не отпадает, мало того, именно он и испульзуется в гугле для руления ноутами.

anonymous ()
Ответ на: комментарий от oskar0609

как на него обновиться то с «testing» wheezy?

Если в /etc/apt/sources.list (/etc/apt/sources.list.d/*) был прописан как «testing», то меняешь на «stable» или «wheezy» и обновляешься как обычно. Если прописан именно как «wheezy» то ничего править не надо, просто обновляешься.

anonymous ()
Ответ на: комментарий от oskar0609

смени в sources.list слово testing на stable и потом стандартно:
apt-get update; apt-get dist-upgrade. Хотя....лучше aptitude

darkenshvein ★★★★★ ()

кстати, они вернули игрушку с мухоморами? фунгулойдс, что ли

darkenshvein ★★★★★ ()
Ответ на: комментарий от AITap

Нет, всё такое же зависание при старте, и всё так же зависает периодически. После перезагрузки они длятся меньше, но никуда не делись.

Мультимониторная конфигурация?

Citramonum ★★ ()
Ответ на: комментарий от Citramonum

Мультимониторная конфигурация?

Единственный монитор - экран нетбука.

AITap ★★★★★ ()
Ответ на: комментарий от darkenshvein

с какого это мамзера 4.10 стабильный? бабка с сайта хфце напела?

Да, та же самая, которая стряпала и все предыдущие версии.

Citramonum ★★ ()
Ответ на: комментарий от Citramonum

ну так знай милок, врёт она. Версии для арма и m68k ещё глючат аки мои нейроны левого полушария.

darkenshvein ★★★★★ ()
Ответ на: комментарий от chupasaurus

это сервис-паки (типа как минорные апдейты debian squeeze 6.0, 6.0.1, 6.0.2, 6.0.3, 6.0.4, 6.0.5, 6.0.6, 6.0.7)

мажорный релиз вышел в 2006 или 2007

BMX ★★☆ ()
Ответ на: комментарий от beerman

кому надо, тот обновит до ласт с последствиями

Какой тогда смысл этому кому надо возиться с сабжем, чтобы потом все обновлять самому с последствиями?

Citramonum ★★ ()
Ответ на: комментарий от anonymous

Не проще ли прописать «testing» и не морочить голову? :)

stable+testing+unstable+experimental и забываем про релизы.

exception13 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.